Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# ErrorHandler Class Reference
[Colorer interfaces]

Inheritance diagram for ErrorHandler:

## Detailed Description

Informs application about different Parsing problems and warning.

## Public Methods

virtual void | error (const String &msg)=0
| Nonfatal parse error.
virtual void | fatalError (const String &msg)=0
| Fatal parse error.
virtual void | warning (const String &msg)=0
| Simple warnings/info messages.

## Member Function Documentation

virtual void ErrorHandler::error | ( | const String & | msg | ) | `[pure virtual]`

Nonfatal parse error.

Called when target class finds some non-fatal error.

Parameters:

  msg | Error message

virtual void ErrorHandler::fatalError | ( | const String & | msg | ) | `[pure virtual]`

Fatal parse error.

Called when target class finds fatal error, which could significantly change or break expected behaviour.

Parameters:

  msg | Error message

virtual void ErrorHandler::warning | ( | const String & | msg | ) | `[pure virtual]`

Simple warnings/info messages.

Called when target class want to inform application about some warnings or informational messages.

Parameters:

  msg | Warning message

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.